<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="{{ url_for('static' , filename = '/js/jquery/jquery-3.6.0.min.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/js/jquery/jquery.cookie.js')}}"></script>
    <title>jQuery - Cookies</title>
  </head>
  <body>
    <h1>Flask - Login</h1>

    <h3>Table</h3>
    <table border="1">
      <thead>
        <tr>
          <th>&nbsp;&nbsp;id&nbsp;&nbsp;</th>
          <th>&nbsp;name&nbsp;</th>
          <th>&nbsp;&nbsp;id&nbsp;&nbsp;</th>
          <th>&nbsp;name&nbsp;</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>&nbsp;1</td>
          <td>&nbsp;PythonSE&nbsp;</td>
          <td>&nbsp;6</td>
          <td>&nbsp;HtmlSE&nbsp;</td>
        </tr>
        <tr>
          <td>&nbsp;2</td>
          <td>&nbsp;PythonDoc&nbsp;</td>
          <td>&nbsp;7</td>
          <td>&nbsp;jQuerySE&nbsp;</td>
        </tr>
        <tr>
          <td>&nbsp;3</td>
          <td>&nbsp;FlaskSE&nbsp;</td>
          <td>&nbsp;8</td>
          <td>&nbsp;CSS-Style&nbsp;</td>
        </tr>
        <tr>
          <td>&nbsp;4</td>
          <td>&nbsp;PythonSQL&nbsp;</td>
          <td>&nbsp;9</td>
          <td>&nbsp;JavaSE&nbsp;</td>
        </tr>
        <tr>
          <td>&nbsp;5</td>
          <td>&nbsp;PythonOCR&nbsp;</td>
          <td>&nbsp;10</td>
          <td>&nbsp;SQL-SE&nbsp;</td>
        </tr>
      </tbody>
    </table>
    <hr />
    <h3>Cookies :</h3>
    <div id="data"></div>
    <hr />
    <h3>Shopping Cart :</h3>
    <div id="shoppingCartDiv"></div>
    <hr />
    <h3>Buy Next Time :</h3>
    <div id="buyNextTimeDiv"></div>
    <hr />
    <h3>Recently</h3>
    <div id="queryRecordDiv"></div>
    <hr />
    <a href="/cookie/flask">Back</a>
    <script type= text/javascript>
      $(function () {
        var $data = $("#data");

        var $shoppingCartDiv = $('#shoppingCartDiv');
        var $buyNextTimeDiv = $('#buyNextTimeDiv');
        var $queryRecordDiv = $('#queryRecordDiv');

        var lstData = {{ lstData | tojson }};

        function showCookie() {
          $data.html("");
          var cookie = $.cookie();
          var i = 0;
          $.each(cookie, function (key, val) {
            $data.append(" ");
            $data.append(key);
            $data.append("=");
            $data.append(val);
            $data.append("<br>");
            i++;
          });
        }

        function showShoppingCart(){
          var record = $.cookie('shoppingCart');
          if(record != undefined) {
            var lstId = record.split(',');
            $shoppingCartDiv.html("");
            $shoppingCartDiv.append("<ul>");
            $.each(lstData, function (idx , val) {
              if(lstId.includes((idx+1)+'')){
                $shoppingCartDiv.append("<li>" + val + '</li>');
              }
            });
            $shoppingCartDiv.append("<ul>");
          }
        }

        function showBuyNextTime(){
          var record = $.cookie('buyNextTime');
          if(record != undefined) {
            var lstId = record.split(',');
            $buyNextTimeDiv.html("");
            $buyNextTimeDiv.append("<ul>");
            $.each(lstData, function (idx , val) {
              if(lstId.includes((idx+1)+'')){
                $buyNextTimeDiv.append("<li>" + val + '</li>');
              }
            });
            $buyNextTimeDiv.append("<ul>");
          }
        }

        function showQueryRecord(){
          var record = $.cookie('queryRecord');
          if(record != undefined){
            var lstRecord = record.split(',');
            $queryRecordDiv.html("");
            $queryRecordDiv.append("<ul>");
            $.each(lstRecord, function (idx , val) {
              $queryRecordDiv.append("<li>" + val + '</li>');
            });
            $queryRecordDiv.append("<ul>");
          }
        }

        showCookie();
        showShoppingCart();
        showBuyNextTime();
        showQueryRecord();
      });
    </script>
  </body>
</html>
